commit 80b3a14cda6321f315237b7cf3aba9238755375a
Author: cagy <ml.cagy@seznam.cz>
Date:   Wed Apr 15 14:44:14 2020 +0200

    re #7775 added template for "Výběr sestavy"

diff --git a/templetes/web/css/style.css b/templetes/web/css/style.css
index d5534745..7371cac0 100644
--- a/templetes/web/css/style.css
+++ b/templetes/web/css/style.css
@@ -74,6 +74,7 @@ table {
 
 .center-cell {
   text-align: center;
+  display: inline;
 }
 
 .submit_center_button {
@@ -150,3 +151,155 @@ table {
 .input-action-margin-collapse {
   margin-top:8px;
 }
+
+.transform {
+  transform: rotate(90deg);
+}
+
+.select-filter {
+  display: flex;
+}
+
+table .col-1 { width:30%; }
+
+table .col-2 { width:25%; }
+
+table .col-3 { width:45%; }
+
+
+.select-input-action-margin-collapse {
+  margin-top:8px;
+}
+
+
+.select-action-button {
+  width: 28px;
+  height: 24px;
+  background: #f5f5f5;
+  text-align: center;
+  box-shadow: 0 0 1px #b3b3b3;
+  color: #333333;
+  display: inline-block;
+  padding-top: 4px;
+  margin-left: 3px;
+}
+
+.select-action-button a{
+  color: #333333;
+  text-decoration: none;
+  padding-top: 4px;
+}
+
+.select-filter-input {
+  margin-left: 3px;
+}
+
+.select-text-padding {
+  margin-top:11px;
+  display: block;
+}
+
+.select-action-headlight {
+  -webkit-box-shadow: 0px 0px 7px 3px rgba(255,0,0,1);
+  -moz-box-shadow: 0px 0px 7px 3px rgba(255,0,0,1);
+  box-shadow: 0px 0px 7px 3px rgba(255,0,0,1);
+}
+
+
+
+.selected-input-container {
+  display:inline-flex;
+  width: 100%;
+  flex-wrap: wrap;
+  justify-content: space-between;
+}
+
+.selected-input-box {
+  border: 1px solid #d2d6de;
+  width: 33%;
+  box-shadow: 0 0 1px #b3b3b3;
+}
+
+.selected-input-box-icon {
+
+  width: 28px;
+  height: 24px;
+  background: #f5f5f5;
+  text-align: center;
+  box-shadow: 0 0 1px #b3b3b3;
+  color: #333333;
+  display: inline-block;
+  padding-top: 4px;
+}
+.table-parameter {
+  margin-top: -26px;
+}
+
+.table-parameter >thead > tr >th {
+  border: none;
+}
+
+.table-parameter > tbody > tr > td > span {
+  margin-top: 8px;
+  display: block;
+}
+
+table .col-1-p { width:35%; }
+
+table .col-2-p { width:55%; }
+
+table .col-3-p { width:10%; }
+
+.template-input {
+  margin-top: 10px;
+}
+
+.template-input-label {
+  margin-right: 10px;
+  margin-top: 8px;
+}
+
+.template-input-submit {
+  margin-left: 10px;
+}
+
+.name-input {
+  margin-top: 10px;
+  width: 50%;
+}
+
+.name-input-label {
+  margin-right: 10px;
+  margin-top: 16px;
+}
+
+
+
+.tg  {
+  border-collapse:collapse;
+  border-spacing:0;
+  padding: 10px;
+  border: 1px solid #d2d6de;
+  box-shadow: 0 0 1px #b3b3b3;
+}
+.tg td{
+  font-family:Arial, sans-serif;
+  font-size:14px;
+  padding:10px 5px;
+  overflow:hidden;
+  word-break:normal;
+  border: 1px solid #d2d6de;
+}
+.tg th{
+  font-family:Arial, sans-serif;
+  font-size:14px;
+  font-weight:normal;
+  padding:10px 5px;
+  overflow:hidden;
+  word-break:normal;
+  border: 1px solid #d2d6de;
+}
+.tg-align{
+  text-align:center;
+  vertical-align:middle !important;
+}
diff --git a/templetes/web/vyber_sestavy.html b/templetes/web/vyber_sestavy.html
new file mode 100644
index 00000000..4e1b4e07
--- /dev/null
+++ b/templetes/web/vyber_sestavy.html
@@ -0,0 +1,359 @@
+<html lang="en"><head>
+    <meta charset="utf-8">
+    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
+    <meta name="description" content="">
+    <meta name="author" content="Mark Otto, Jacob Thornton, and Bootstrap contributors">
+    <meta name="generator" content="Jekyll v3.8.6">
+    <title>Album example · Bootstrap</title>
+    <link rel="canonical" href="https://getbootstrap.com/docs/4.4/examples/album/">
+
+    <!-- Bootstrap core CSS -->
+<link href="css/bootstrap.min.css" rel="stylesheet">
+
+<link href="css/bootstrap-select.min.css" rel="stylesheet">
+<link href="css/fontawesome.min.css" rel="stylesheet">
+<link href="css/style.css" rel="stylesheet">
+
+<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
+<script type="text/javascript" src="js/jquery.js"></script>
+<script type="text/javascript" src="js/bootstrap.min.js"></script>
+<script type="text/javascript" src="js/bootstrap-select.min.js"></script>
+</head>
+<body>
+<div id="test"></div>
+<main role="main">
+
+  <div class="container">
+    <h1>
+      Sestava - Studenti - studijní programy
+    </h1>
+  </div>
+
+<form>
+  <div class="container box">
+    <div class="col-md-12">
+      <div class="col-md-12 form-group row">
+          <label for="exampleFormControlSelect1" class="name-input-label">Titulek tabulky:</label>
+          <input type="text" class="form-control name-input" id="name">
+      </div>
+
+      <span>Parametry:</span>
+      <div class="col-md-7">
+        <table class="table">
+          <thead>
+            <tr>
+              <th class="col-1">Parametr</th>
+              <th class="col-2">Umístění</th>
+              <th class="col-3">Filtry</th>
+            </tr>
+          </thead>
+          <tbody>
+            <tr>
+              <td><span class="select-text-padding">Akademický rok</span></td>
+              <td>
+                <span class="select-action-padding select-action-button select-input-action-margin-collapse">
+                  <i class="fas fa-align-justify"></i>
+                </span>
+                <span class="select-action-padding select-action-button select-input-action-margin-collapse">
+                  <i class="fas fa-align-justify transform"></i>
+                </span>
+              </td>
+              <td class="s">
+                <div class="col select-filter">
+                  <select class="form-control" style="{width:60px;}" id="exampleFormControlSelect1">
+                    <option>IN</option>
+                    <option>GREATER</option>
+                    <option>LESS</option>
+                    <option>EQUAL</option>
+                  </select>
+                  <input type="text" class="form-control select-filter-input" id="name">
+                </div>
+              </td>
+            </tr>
+            <tr>
+              <td><span class="select-text-padding">Fakulta</span></td>
+              <td>
+                <span class="select-action-padding select-action-button select-input-action-margin-collapse select-action-headlight">
+                  <i class="fas fa-align-justify"></i>
+                </span>
+                <span class="select-action-padding select-action-button select-input-action-margin-collapse ">
+                  <i class="fas fa-align-justify transform"></i>
+                </span>
+              </td>
+              <td class="s">
+                <div class="col select-filter">
+                  <select class="form-control" style="{width:60px;}" id="exampleFormControlSelect1">
+                    <option>IN</option>
+                    <option>GREATER</option>
+                    <option>LESS</option>
+                    <option>EQUAL</option>
+                  </select>
+                  <input type="text" class="form-control select-filter-input" id="name">
+                </div>
+              </td>
+            </tr>
+            <tr>
+              <td><span class="select-text-padding">Ročník</span></td>
+              <td>
+                <span class="select-action-padding select-action-button select-input-action-margin-collapse">
+                  <i class="fas fa-align-justify"></i>
+                </span>
+                <span class="select-action-padding select-action-button select-input-action-margin-collapse select-action-headlight">
+                  <i class="fas fa-align-justify transform"></i>
+                </span>
+              </td>
+              <td class="s">
+                <div class="col select-filter">
+                  <select class="form-control" style="{width:60px;}" id="exampleFormControlSelect1">
+                    <option>IN</option>
+                    <option>GREATER</option>
+                    <option>LESS</option>
+                    <option>EQUAL</option>
+                  </select>
+                  <input type="text" class="form-control select-filter-input" id="name">
+                </div>
+              </td>
+            </tr>
+            <tr>
+              <td><span class="select-text-padding">Typ strudia</span></td>
+              <td>
+                <span class="select-action-padding select-action-button select-input-action-margin-collapse select-action-headlight">
+                  <i class="fas fa-align-justify"></i>
+                </span>
+                <span class="select-action-padding select-action-button select-input-action-margin-collapse">
+                  <i class="fas fa-align-justify transform"></i>
+                </span>
+                <span class="select-action-padding select-action-button select-input-action-margin-collapse">
+                  <i class="fas fa-heading"></i>
+                </span>
+              </td>
+              <td class="s">
+                <div class="col select-filter">
+                  <select class="form-control" style="{width:60px;}" id="exampleFormControlSelect1">
+                    <option>IN</option>
+                    <option>GREATER</option>
+                    <option>LESS</option>
+                    <option>EQUAL</option>
+                  </select>
+                  <input type="text" class="form-control select-filter-input" id="name">
+                </div>
+              </td>
+            </tr>
+            <tr>
+              <td><span class="select-text-padding">Počet</span></td>
+              <td>
+                <span class="select-action-padding select-action-button select-input-action-margin-collapse select-action-headlight">
+                  <i class="fas fa-heading"></i>
+                </span>
+              </td>
+              <td class="s">
+                <div class="col select-filter">
+                  <select class="form-control" style="{width:60px;}" id="exampleFormControlSelect1">
+                    <option>IN</option>
+                    <option>GREATER</option>
+                    <option>LESS</option>
+                    <option>EQUAL</option>
+                  </select>
+                  <input type="text" class="form-control select-filter-input" id="name">
+                </div>
+              </td>
+            </tr>
+          </tbody>
+        </table>
+      </div>
+
+    <div class="selected-input-container">
+      <div class="selected-input-box">
+        <div class="selected-input-box-icon">
+          <i class="fas fa-align-justify"></i>
+        </div>
+        <table class="table table-parameter">
+          <thead>
+            <tr>
+              <th class="col-1-p"></th>
+              <th class="col-2-p">Vlastní název</th>
+              <th class="col-3-p"></th>
+            </tr>
+          </thead>
+          <tbody>
+              <tr>
+                <td>
+                  <span>Fakulta</span>
+                </td>
+                <td>
+                  <input type="text" class="form-control select-filter-input" id="name">
+                </td>
+                <td>
+                  <span><i class="fas fa-sort"></i></span>
+                </td>
+              </tr>
+              <tr>
+                <td>
+                  <span>Typ studia</span>
+                </td>
+                <td>
+                  <input type="text" class="form-control select-filter-input" id="name">
+                </td>
+                <td>
+                  <span><i class="fas fa-sort"></i></span>
+                </td>
+              </tr>
+          </tbody>
+        </table>
+      </div>
+
+
+      <div class="selected-input-box">
+        <div class="selected-input-box-icon">
+          <i class="fas fa-align-justify transform"></i>
+        </div>
+        <table class="table table-parameter">
+          <thead>
+            <tr>
+              <th class="col-1-p"></th>
+              <th class="col-2-p">Vlastní název</th>
+              <th class="col-3-p"></th>
+            </tr>
+          </thead>
+          <tbody>
+              <tr>
+                <td>
+                  <span>Ročník</span>
+                </td>
+                <td>
+                  <input type="text" class="form-control select-filter-input" id="name">
+                </td>
+                <td>
+                  <span><i class="fas fa-sort"></i></span>
+                </td>
+              </tr>
+          </tbody>
+        </table>
+      </div>
+
+
+      <div class="selected-input-box">
+          <div class="selected-input-box-icon">
+            <i class="fas fa-heading"></i>
+          </div>
+          <table class="table table-parameter">
+            <thead>
+              <tr>
+                <th class="col-1-p"></th>
+                <th class="col-2-p">Vlastní název</th>
+              </tr>
+            </thead>
+            <tbody>
+                <tr>
+                  <td>
+                    <span>Počet</span>
+                  </td>
+                  <td>
+                    <select class="form-control" style="{width:60px;}" id="exampleFormControlSelect1">
+                      <option>SUM</option>
+                      <option>AVG</option>
+                      <option>MIN</option>
+                      <option>MAX</option>
+                    </select>
+                  </td>
+
+                </tr>
+            </tbody>
+          </table>
+      </div>
+    </div>
+
+
+      <div class="col-md-12 form-group row template-input">
+          <label for="exampleFormControlSelect1" class="template-input-label">Vlastní název šablony:</label>
+          <div class="">
+            <input type="text" class="form-control select-filter-input" id="name">
+          </div>
+
+          <button type="submit" class="btn btn-success mb-2 template-input-submit">Uložit šablonu</button>
+      </div>
+
+
+      <div class="buttons-wrap">
+        <button type="submit" class="btn btn-secondary mb-2 " name="generate-table">Vygenerovat tabulku</button>
+        <button type="submit" class="btn btn-secondary mb-2 " name="export-xls">Export do XLS</button>
+        <button type="submit" class="btn btn-secondary mb-2 " name="export-pdf">Export do PDF</button>
+      </div>
+  </div>
+</div>
+</form>
+
+
+
+<div class="container box">
+  <div class="col-md-12">
+
+
+    <table class="tg table">
+      <tr>
+        <th class="tg-align" colspan="6">Vlastní nadpis Tabulky</th>
+      </tr>
+      <tr>
+        <td class="tg-align" colspan="2"></td>
+        <td class="tg-align" colspan="4">Ročník studia</td>
+      </tr>
+      <tr>
+        <td class="tg-align">Fakulta</td>
+        <td class="tg-align">Typ</td>
+        <td class="tg-align">1.</td>
+        <td class="tg-align">2.</td>
+        <td class="tg-align">3.</td>
+        <td class="tg-align">4.</td>
+      </tr>
+      <tr>
+        <td class="tg-align" rowspan="2">FAV</td>
+        <td class="tg-align">Bakalářský</td>
+        <td class="tg-align">109</td>
+        <td class="tg-align">110</td>
+        <td class="tg-align">50</td>
+        <td class="tg-align">23</td>
+      </tr>
+      <tr>
+        <td class="tg-align">Navazující</td>
+        <td class="tg-align">40</td>
+        <td class="tg-align">20</td>
+        <td class="tg-align">10</td>
+        <td class="tg-align">5</td>
+      </tr>
+      <tr>
+        <td class="tg-align" rowspan="2">FEK</td>
+        <td class="tg-align">Bakalářský</td>
+        <td class="tg-align">220</td>
+        <td class="tg-align">100</td>
+        <td class="tg-align">20</td>
+        <td class="tg-align">10</td>
+      </tr>
+      <tr>
+        <td class="tg-align">Navazující</td>
+        <td class="tg-align">80</td>
+        <td class="tg-align">77</td>
+        <td class="tg-align">61</td>
+        <td class="tg-align">20</td>
+      </tr>
+  </table>
+  </div>
+</div>
+
+
+
+
+
+</main>
+
+<footer class="text-muted">
+  <div class="container">
+
+  </div>
+</footer>
+
+<script type="text/javascript" src="js/app.js"></script>
+</body>
+</html>
+<script type="text/javascript">
+$("select").selectpicker();
+</script>